#include "StdAfx.h"
#include "htmlloader.h"
#include "TextTools.h"
#include "BinaryData.h"

CHtmlLoader::CHtmlLoader(void)
{
}

CHtmlLoader::~CHtmlLoader(void)
{
}

///////////////////////////////////////////////////////////////////////////
//	初期化
///////////////////////////////////////////////////////////////////////////
/*!
	リソースからロード
*/
CString CHtmlLoader::LoadFromResource(int id)
{
	//	リソースからロード
	HRSRC res = FindResource(NULL,MAKEINTRESOURCE(id),RT_HTML);
	int	size = SizeofResource(NULL,res);
	HGLOBAL data = LoadResource(NULL,res);

	if(data!=NULL)
	{
		CString	html;

		char * buf = html.GetBuffer(size + 1);
		memcpy(buf,data,size);
		html.ReleaseBufferSetLength(size);
		return(html);
	}
	return("");
}


/*!
	ファイルからロード
*/
CString CHtmlLoader::LoadFromFile(CString path)
{
	CBinaryData	loader;

	//	読み込み
	if(loader.LoadFromFile(path))
		return("");
	return( loader.GetCString());
}

